Add Q&A data-source to chatbot
curl --request POST \
--url https://app.livechatai.com/api/aibot/data-source/qa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "What is the capital of France?",
"answer": "The capital of France is Paris.",
"chatbotId": "c****************1cx4",
"isGeneratedByAI": false
}
'import requests
url = "https://app.livechatai.com/api/aibot/data-source/qa"
payload = {
"question": "What is the capital of France?",
"answer": "The capital of France is Paris.",
"chatbotId": "c****************1cx4",
"isGeneratedByAI": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'What is the capital of France?',
answer: 'The capital of France is Paris.',
chatbotId: 'c****************1cx4',
isGeneratedByAI: false
})
};
fetch('https://app.livechatai.com/api/aibot/data-source/qa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data Source
Add Q&A data-source to chatbot
deprecated
DEPRECATED: This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Add Q&A data-source to chatbot
POST
/
api
/
aibot
/
data-source
/
qa
Add Q&A data-source to chatbot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Q&A data-source details
Question for the Q&A data-source
Example:
"What is the capital of France?"
Answer for the Q&A data-source
Example:
"The capital of France is Paris."
Unique identifier of the chatbot
Example:
"c****************1cx4"
Flag indicating if the answer is generated by AI
Example:
false
Response
Q&A data-source added successfully
⌘I

